

<h1><?= strtoupper(__('pv2_escort_heading', array('showname' => $this->escort->showname))) ?></h1>


<? $this->headScript()
	->appendFile(_st('d-popup.js'))
?>


<script type="text/javascript">

window.addEvent('domready', function() {
$('profileActionButton').addEvent('click', function(e){
        e.stop();

        var url = this.get('href');
        var title = this.get('title');
        
        var answer = confirm("Are you sure you want to "+title+" your profile");
        if (answer){
            window.location = url;
        }
    });
$('profileDeleteButton').addEvent('click', function(e){
        var self = this;
        e.stop();
        Cubix.DPopup.url = self.get('href');
        Cubix.DPopup.Show('500', '520');
    });
});
</script>
<div class="gray-box form">
    <?
	function hasStatusBit($old_status, $status)
	{
		$result = true;
		$result = ($old_status & $status) && $result;
		return $result;
	}

?>

	<?	
		function getDaysInBetween($start, $end) {

			$day = 86400; // Day in seconds
			$format = 'Y-m-d'; // Output format (see PHP date funciton)
			$sTime = /*strtotime(*/$start/*)*/; // Start as time
			$eTime = /*strtotime(*/$end/*)*/; // End as time
			$numDays = round(($eTime - $sTime) / $day);
			$days = array();

			// Return days
			return abs($numDays);
		}
        

		$client = Cubix_Api_XmlRpc_Client::getInstance();
        
        $is_no_profile = hasStatusBit($this->escort->status, Model_EscortsV2::ESCORT_STATUS_NO_PROFILE);
        $is_profile_changed = hasStatusBit($this->escort->status, Model_EscortsV2::ESCORT_STATUS_PROFILE_CHANGED);
        $is_not_photos = hasStatusBit($this->escort->status, Model_EscortsV2::ESCORT_STATUS_NO_ENOUGH_PHOTOS);
        $is_admin_disabled = hasStatusBit($this->escort->status, Model_EscortsV2::ESCORT_STATUS_ADMIN_DISABLED);
        $is_owner_disabled = hasStatusBit($this->escort->status, Model_EscortsV2::ESCORT_STATUS_OWNER_DISABLED);

//
//
//        $is_no_profile = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_EscortsV2::ESCORT_STATUS_NO_PROFILE));
//		$is_profile_changed = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_EscortsV2::ESCORT_STATUS_PROFILE_CHANGED));
//		$is_not_photos = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_EscortsV2::ESCORT_STATUS_NO_ENOUGH_PHOTOS));
//		$is_admin_disabled = $client->call('Escorts.hasStatusBit', array($this->escort->id, Model_EscortsV2::ESCORT_STATUS_ADMIN_DISABLED));
		
		$active_package = $client->call('Escorts.getActivePackage', array($this->escort->id));
	?>
	
	<div class="dashboard-alert vindent2" style="margin: 0px 0 10px 0px">
		<div class="body">
        <? if($this->escort->status & Cubix_EscortStatus::ESCORT_STATUS_TEMPRARY_DELETED): ?>
                <span class="strong red">Account will be removed After <?= ceil(  48 - (time() - strtotime($this->escort->deleted_date) + 60 )/3600 ) ; ?> hours</span>
                <a class="disableButton" href="<?= $this->getLink('private-v2-escorts-restore') ?>"><?= __('restore') ?></a>
            <? else: ?>

        <a class="disableButton" id="profileDeleteButton" href="<?= $this->getLink('private-v2-escorts-delete') ?>"><?= __('delete') ?></a>
			<? if( !$is_owner_disabled ): ?>
            <a class="disableButton" title="disable" id="profileActionButton" href="/private-v2/profile-status?act=disable"><?= __('disable_my_profile') ?></a>
            <? else: ?>
            <a class="disableButton" title="enable" id="profileActionButton" href="/private-v2/profile-status?act=enable"><?= __('enable_my_profile') ?></a>
            <? endif; ?>
			
			<? if ($active_package): ?>
			<?
				$expires_in = ($active_package['expiration_date']) ? getDaysInBetween(strtotime($active_package['expiration_date']), time()) : '-';
			?>
			<div class="package-info">				
				<span class="strong"><?= __("pv2_alert_package_info", array('PACKAGE_NAME' => $active_package['name'], 'DAYS' => $expires_in)) ?></span>
			</div>
			<? endif; ?>

			<? if ( $is_no_profile && ! $is_profile_changed ): ?>
			<span class="strong"><?= __('pv2_alert_no_profile_yet', array('LINK' => $this->getLink('private-v2-profile'))) ?></span>
			<? elseif ( $is_profile_changed ): ?>
			<span class="strong"><?= __('pv2_alert_profile_is_not_approved') ?></span>
			<? elseif ( $is_admin_disabled ): ?>
			<span class="strong"><?= __('pv2_alert_profile_admin_disabled') ?></span>
			<? elseif ( $is_not_photos ): ?>
			<span class="strong"><?= __('pv2_alert_profile_not_enough_photos') ?></span>
			<? endif; ?>
          <? endif; ?>
			<div class="clear"></div>  
		</div>
	</div>
	

	<fieldset>
		<div class="body">
			<p class="strong red"><?= __('att_photos_count') ?></p><br/>
			<span class="strong"><?= __('pv2_escort_top_text') ?></span>
			
			<? if ( $this->escort->is_suspicious ): ?>
			<br/><br/><p class="strong"><?= __('suspicious_internal_text') ?></p>
			<? endif; ?>
		</div>
	</fieldset>

	<script type="text/javascript">
		window.addEvent('domready', function(){
			$('online_chat').addEvent('click', function(e){
				e.stop();
				window.open('http://chat.and6.at/chat7/chat.php?hash=<?= session_id() ?>', 'and6', 'height=620, width=820');
			});
		});
	</script>
	<div class="vindent2" style="width: 275px; height: 255px ;float: left; padding: 20px 10px; margin-right: 5px;">
		<span class="legend">
			<span class="i"><?= $this->t('online_chat') ?></span>
		</span>

		<div class="body">
			<p class="strong"><?= __('chat_text_1') ?></p><br/>
			<p class="strong"><?= __('chat_text_2') ?></p><br/>
			<br/>
			<a href="#" id="online_chat"><img src="<?= _st('chat_big_red_btn.png') ?>" /></a>
		</div>
	</div>

	<? $conf = Zend_Registry::get('escorts_config'); $bubbletext = isset($conf['bubbleText']) && $conf['bubbleText']; ?>

	<? if ( $bubbletext && $active_package ): ?>
		<? if ( $this->escort->gender && $this->escort->gender != GENDER_MALE ): ?>
		<script type="text/javascript">
			window.addEvent('domready', function() {
				var overlay = new Cubix.Overlay($('mood-id'), { loader: _st('loader-circular-tiny.gif'), position: '50%' });
				overlay.disable();

				new Request({
					url: '/private-v2/get-bubble-text',
					method: 'get',
					onSuccess: function (resp) {
						var resp = JSON.decode(resp);

						if ( resp ) {
							$('bubble-text').set('value', resp.text);
						}

						$('bubble-error').setStyle('visibility', 'hidden');
						overlay.enable();
					}
				}).send();

				$('add-bubble-text').addEvent('click', function(e){
					e.stop();

					var overlay = new Cubix.Overlay($('mood-id'), { loader: _st('loader-circular-tiny.gif'), position: '50%' });
					overlay.disable();

					new Request({
						url: '/private-v2/add-bubble-text?text=' + $('bubble-text').get('value'),
						method: 'get',
						onSuccess: function (resp) {

							if ( resp == 'one_per_day_limit' ) {
								$('bubble-error').setStyle('visibility', 'visible');
							}
							else {
								$('bubble-error').setStyle('visibility', 'hidden');
							}
							
							overlay.enable();
						}
					}).send();
				});
			});
		</script>

		<div class="vindent2" style="width: 280px; height: 255px; float: left; padding: 20px 10px; margin-right: 5px;">
			<span class="legend">
				<span class="i"><?= $this->t('instant_live_messages') ?></span>
			</span>
			
			<div class="body" id="mood-id">
				<span class="strong"><?= $this->t('share_mood') ?></span>
				<p id="bubble-error" style="margin-top: 10px;"><?= __('pv2_alert_one_per_day_limit') ?></p>
				<div class="mood" style="margin-top: 5px;">
					<input type="text" name="text" id="bubble-text" value="" />
					<button id="add-bubble-text"></button>
					<div class="clear"></div>
				</div>
			</div>
		</div>
		<? endif; ?>
	<? endif ?>

	<div class="vindent2" style="width: 275px; height: 255px; float: left; padding: 20px;">
		<span class="legend">
			<span class="i"><?= $this->t('news') ?></span>
		</span>

		<div class="body">
			<p class="strong"><?= __('hh_internal_text') ?></p><br/>
		</div>
	</div>
		
		
	<div class="clear"></div>
		
		
	<div class="vindent2">
		<span class="legend">
			<span class="i"><?= __('pv2_main_nav') ?></span>
		</span>
		
		<ul id="navigation">
		<? foreach ( $this->navigation as $i => $link ): ?>
			<li<?= $i == count($this->navigation) - 1 ? ' class="no-sep"' : '' ?>>
				<a href="<?= $this->getLink($link['link']) ?>" class="<?= $link['id'] ?>">
					<span></span>
					<?= strtoupper($link['title']) ?>
				</a>
			</li>
			<? if( ($i + 1) % 6 == 0 ):?>
			<div class="clear"></div>
			<? endif; ?>
		<? endforeach ?>
		</ul>
		<div class="clear"></div>
	</div>
</div><!-- gray-box -->
